Permalink
Browse files

Rails 4 compatability. Thanks @zhengjia.

  • Loading branch information...
1 parent cf90dfd commit c0dda10ee0a849b1248bf78386be3aa5a2deb8ce @metaskills committed Mar 6, 2013
Showing with 34 additions and 29 deletions.
  1. +5 −0 CHANGELOG.md
  2. +27 −27 gemfiles/rails31.gemfile.lock
  3. +1 −1 lib/less/rails/version.rb
  4. +1 −1 test/dummy_app/init.rb
View
@@ -1,6 +1,11 @@
CHANGELOG
=========
+2.3.2 - 03/06/2012
+
+* Rails 4 compatability. Thanks @zhengjia.
+
+
2.3.1 - 03/06/2012
* Update to less gem 2.3.1 which really uses less v1.3.3
@@ -8,12 +8,12 @@ PATH
GEM
remote: https://rubygems.org/
specs:
- actionmailer (3.1.11)
- actionpack (= 3.1.11)
+ actionmailer (3.1.10)
+ actionpack (= 3.1.10)
mail (~> 2.3.3)
- actionpack (3.1.11)
- activemodel (= 3.1.11)
- activesupport (= 3.1.11)
+ actionpack (3.1.10)
+ activemodel (= 3.1.10)
+ activesupport (= 3.1.10)
builder (~> 3.0.0)
erubis (~> 2.7.0)
i18n (~> 0.6)
@@ -22,20 +22,20 @@ GEM
rack-mount (~> 0.8.2)
rack-test (~> 0.6.1)
sprockets (~> 2.0.4)
- activemodel (3.1.11)
- activesupport (= 3.1.11)
+ activemodel (3.1.10)
+ activesupport (= 3.1.10)
builder (~> 3.0.0)
i18n (~> 0.6)
- activerecord (3.1.11)
- activemodel (= 3.1.11)
- activesupport (= 3.1.11)
+ activerecord (3.1.10)
+ activemodel (= 3.1.10)
+ activesupport (= 3.1.10)
arel (~> 2.2.3)
tzinfo (~> 0.3.29)
- activeresource (3.1.11)
- activemodel (= 3.1.11)
- activesupport (= 3.1.11)
- activesupport (3.1.11)
- multi_json (~> 1.0)
+ activeresource (3.1.10)
+ activemodel (= 3.1.10)
+ activesupport (= 3.1.10)
+ activesupport (3.1.10)
+ multi_json (>= 1.0, < 1.3)
appraisal (0.5.1)
bundler
rake
@@ -67,13 +67,13 @@ GEM
method_source (0.8.1)
mime-types (1.21)
minitest (4.6.2)
- multi_json (1.6.1)
+ multi_json (1.2.0)
polyglot (0.3.3)
pry (0.9.12)
coderay (~> 1.0.5)
method_source (~> 0.8)
slop (~> 3.4)
- rack (1.3.10)
+ rack (1.3.9)
rack-cache (1.2)
rack (>= 0.4)
rack-mount (0.8.3)
@@ -82,17 +82,17 @@ GEM
rack
rack-test (0.6.2)
rack (>= 1.0)
- rails (3.1.11)
- actionmailer (= 3.1.11)
- actionpack (= 3.1.11)
- activerecord (= 3.1.11)
- activeresource (= 3.1.11)
- activesupport (= 3.1.11)
+ rails (3.1.10)
+ actionmailer (= 3.1.10)
+ actionpack (= 3.1.10)
+ activerecord (= 3.1.10)
+ activeresource (= 3.1.10)
+ activesupport (= 3.1.10)
bundler (~> 1.0)
- railties (= 3.1.11)
- railties (3.1.11)
- actionpack (= 3.1.11)
- activesupport (= 3.1.11)
+ railties (= 3.1.10)
+ railties (3.1.10)
+ actionpack (= 3.1.10)
+ activesupport (= 3.1.10)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
@@ -1,5 +1,5 @@
module Less
module Rails
- VERSION = "2.3.1"
+ VERSION = "2.3.2"
end
end
View
@@ -13,7 +13,7 @@ class Application < ::Rails::Application
config.consider_all_requests_local = true
config.eager_load = false
- config.assets.enabled = true
+ config.assets.enabled = true if ::Rails::VERSION::MAJOR < 4
config.assets.cache_store = [:file_store, "#{config.root}/tmp/cache/assets/"]
end

0 comments on commit c0dda10

Please sign in to comment.